Subject: authentication problems with ssh and identity files
From: [email-masked] (Felix Koop)
To: [email-masked]
Date: Tue, 23 Oct 2001 18:15:04 +0200

Hello,

I have a problem using ssh in combination with an identity file. Here my
config entry:

Host XXXX
User YYYY
IdentityFile ~/.ssh/YYY.key
RSAAuthentication yes
RhostsRSAAuthentication yes
Compression yes
CompressionLevel 6
ForwardX11 no

Now Whenever I use 

ssh -v -v -v XXXX -l YYYY

I get the following in the log:

[...]
debug1: authentications that can continue:
publickey,password,keyboard-interactive
debug3: start over, passed a different list
publickey,password,keyboard-interactive
debug3: preferred publickey,keyboard-interactive,password
debug3: authmethod_lookup publickey
debug3: remaining preferred: keyboard-interactive,password
debug3: authmethod_is_enabled publickey
debug1: next auth method to try is publickey
debug2: we did not send a packet, disable method
debug3: authmethod_lookup keyboard-interactive
debug3: remaining preferred: password
debug3: authmethod_is_enabled keyboard-interactive
debug1: next auth method to try is keyboard-interactive
debug2: userauth_kbdint
debug2: we sent a keyboard-interactive packet, wait for reply
debug1: authentications that can continue:
publickey,password,keyboard-interactive
debug3: userauth_kbdint: disable: no info_req_seen
debug2: we did not send a packet, disable method
debug3: authmethod_lookup password
debug3: remaining preferred:
debug3: authmethod_is_enabled password
debug1: next auth method to try is password

I have the identity file readable by me, owned by me and with rights
400. It is correctly recognized in the debug output. What I don't
understand are the following lines:

debug3: authmethod_is_enabled publickey
debug1: next auth method to try is publickey
debug2: we did not send a packet, disable method
debug3: authmethod_lookup keyboard-interactive

Why does ssh not send a packet? What's the error with method publickey?
(I don't own the server and have no access to their logs. Is there
anything else I can do to debug the situation on my side?). 

My config: all latest as of 22 Oct. 2001.

Can anyone help me?
-- 
Mit freundlichen Grüßen/Kind regards/Bien a vous

Felix Koop
[email-masked]
+49-(0)171-9580714

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/